## org.eclipse.emf.ecore.resource.impl
Class URIMappingRegistryImpl.URIMapImpl

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.DelegatingMap
          org.eclipse.emf.ecore.resource.impl.URIMappingRegistryImpl.URIMapImpl

All Implemented Interfaces:
  java.util.Map<URI,URI>, EMap.InternalMapView<URI,URI>, URIConverterImpl.URIMap

Enclosing class:
  URIMappingRegistryImpl

    protected class URIMappingRegistryImpl.URIMapImpl

extends BasicEMap.DelegatingMap
implements URIConverterImpl.URIMap

A map that is a `URIConverterImpl.URIMap`.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`URIMappingRegistryImpl.URIMapImpl()` Creates an instance.

Method Summary
`URI` `getURI(URI uri)` Returns the remapped URI, or the URI itself.

Methods inherited from class org.eclipse.emf.common.util.BasicEMap.DelegatingMap
`clear, containsKey, containsValue, eMap, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### URIMappingRegistryImpl.URIMapImpl

    public URIMappingRegistryImpl.URIMapImpl()

  Creates an instance.

Method Detail

### getURI

    public URI getURI(URI uri)

  Returns the remapped URI, or the URI itself. This implementation delegates to the containing `URIMappingRegistryImpl`.

  Specified by:
    `getURI` in interface `URIConverterImpl.URIMap`
  Parameters:
    `uri` - the URI to remap.
  Returns:
    the remapped URI, or the URI itself.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.